// Code generated by MockGen. DO NOT EDIT.
// Source: github.com/xescugc/smf/admin/service (interfaces: Service)

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	gomock "github.com/golang/mock/gomock"
	channel "github.com/xescugc/smf/interops/channel"
	post "github.com/xescugc/smf/interops/post"
	tier "github.com/xescugc/smf/interops/tier"
	weight "github.com/xescugc/smf/interops/weight"
	io "io"
	reflect "reflect"
)

// Service is a mock of Service interface
type Service struct {
	ctrl     *gomock.Controller
	recorder *ServiceMockRecorder
}

// ServiceMockRecorder is the mock recorder for Service
type ServiceMockRecorder struct {
	mock *Service
}

// NewService creates a new mock instance
func NewService(ctrl *gomock.Controller) *Service {
	mock := &Service{ctrl: ctrl}
	mock.recorder = &ServiceMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *Service) EXPECT() *ServiceMockRecorder {
	return m.recorder
}

// CreateChannel mocks base method
func (m *Service) CreateChannel(arg0 context.Context, arg1 channel.Channel) (int, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateChannel", arg0, arg1)
	ret0, _ := ret[0].(int)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateChannel indicates an expected call of CreateChannel
func (mr *ServiceMockRecorder) CreateChannel(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateChannel", reflect.TypeOf((*Service)(nil).CreateChannel), arg0, arg1)
}

// CreateTier mocks base method
func (m *Service) CreateTier(arg0 context.Context, arg1 tier.Tier) (int, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateTier", arg0, arg1)
	ret0, _ := ret[0].(int)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateTier indicates an expected call of CreateTier
func (mr *ServiceMockRecorder) CreateTier(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateTier", reflect.TypeOf((*Service)(nil).CreateTier), arg0, arg1)
}

// CreateWeight mocks base method
func (m *Service) CreateWeight(arg0 context.Context, arg1 weight.Weight) (int, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateWeight", arg0, arg1)
	ret0, _ := ret[0].(int)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateWeight indicates an expected call of CreateWeight
func (mr *ServiceMockRecorder) CreateWeight(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateWeight", reflect.TypeOf((*Service)(nil).CreateWeight), arg0, arg1)
}

// DeleteChannel mocks base method
func (m *Service) DeleteChannel(arg0 context.Context, arg1 int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteChannel", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// DeleteChannel indicates an expected call of DeleteChannel
func (mr *ServiceMockRecorder) DeleteChannel(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteChannel", reflect.TypeOf((*Service)(nil).DeleteChannel), arg0, arg1)
}

// DeleteTier mocks base method
func (m *Service) DeleteTier(arg0 context.Context, arg1 int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteTier", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// DeleteTier indicates an expected call of DeleteTier
func (mr *ServiceMockRecorder) DeleteTier(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteTier", reflect.TypeOf((*Service)(nil).DeleteTier), arg0, arg1)
}

// DeleteWeight mocks base method
func (m *Service) DeleteWeight(arg0 context.Context, arg1 int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteWeight", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// DeleteWeight indicates an expected call of DeleteWeight
func (mr *ServiceMockRecorder) DeleteWeight(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteWeight", reflect.TypeOf((*Service)(nil).DeleteWeight), arg0, arg1)
}

// DisablePost mocks base method
func (m *Service) DisablePost(arg0 context.Context, arg1 int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DisablePost", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// DisablePost indicates an expected call of DisablePost
func (mr *ServiceMockRecorder) DisablePost(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DisablePost", reflect.TypeOf((*Service)(nil).DisablePost), arg0, arg1)
}

// GetChannel mocks base method
func (m *Service) GetChannel(arg0 context.Context, arg1 int) (*channel.Channel, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetChannel", arg0, arg1)
	ret0, _ := ret[0].(*channel.Channel)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetChannel indicates an expected call of GetChannel
func (mr *ServiceMockRecorder) GetChannel(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetChannel", reflect.TypeOf((*Service)(nil).GetChannel), arg0, arg1)
}

// GetChannels mocks base method
func (m *Service) GetChannels(arg0 context.Context) ([]*channel.Channel, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetChannels", arg0)
	ret0, _ := ret[0].([]*channel.Channel)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetChannels indicates an expected call of GetChannels
func (mr *ServiceMockRecorder) GetChannels(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetChannels", reflect.TypeOf((*Service)(nil).GetChannels), arg0)
}

// GetPost mocks base method
func (m *Service) GetPost(arg0 context.Context, arg1 int) (*post.Post, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetPost", arg0, arg1)
	ret0, _ := ret[0].(*post.Post)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetPost indicates an expected call of GetPost
func (mr *ServiceMockRecorder) GetPost(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetPost", reflect.TypeOf((*Service)(nil).GetPost), arg0, arg1)
}

// GetPosts mocks base method
func (m *Service) GetPosts(arg0 context.Context) ([]*post.Post, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetPosts", arg0)
	ret0, _ := ret[0].([]*post.Post)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetPosts indicates an expected call of GetPosts
func (mr *ServiceMockRecorder) GetPosts(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetPosts", reflect.TypeOf((*Service)(nil).GetPosts), arg0)
}

// GetPostsBySystems mocks base method
func (m *Service) GetPostsBySystems(arg0 context.Context) ([]*post.WithChannel, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetPostsBySystems", arg0)
	ret0, _ := ret[0].([]*post.WithChannel)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetPostsBySystems indicates an expected call of GetPostsBySystems
func (mr *ServiceMockRecorder) GetPostsBySystems(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetPostsBySystems", reflect.TypeOf((*Service)(nil).GetPostsBySystems), arg0)
}

// GetTier mocks base method
func (m *Service) GetTier(arg0 context.Context, arg1 int) (*tier.Tier, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetTier", arg0, arg1)
	ret0, _ := ret[0].(*tier.Tier)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetTier indicates an expected call of GetTier
func (mr *ServiceMockRecorder) GetTier(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetTier", reflect.TypeOf((*Service)(nil).GetTier), arg0, arg1)
}

// GetTiers mocks base method
func (m *Service) GetTiers(arg0 context.Context) ([]*tier.Tier, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetTiers", arg0)
	ret0, _ := ret[0].([]*tier.Tier)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetTiers indicates an expected call of GetTiers
func (mr *ServiceMockRecorder) GetTiers(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetTiers", reflect.TypeOf((*Service)(nil).GetTiers), arg0)
}

// GetWeight mocks base method
func (m *Service) GetWeight(arg0 context.Context, arg1 int) (*weight.Weight, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetWeight", arg0, arg1)
	ret0, _ := ret[0].(*weight.Weight)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetWeight indicates an expected call of GetWeight
func (mr *ServiceMockRecorder) GetWeight(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetWeight", reflect.TypeOf((*Service)(nil).GetWeight), arg0, arg1)
}

// GetWeights mocks base method
func (m *Service) GetWeights(arg0 context.Context) ([]*weight.Weight, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetWeights", arg0)
	ret0, _ := ret[0].([]*weight.Weight)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetWeights indicates an expected call of GetWeights
func (mr *ServiceMockRecorder) GetWeights(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetWeights", reflect.TypeOf((*Service)(nil).GetWeights), arg0)
}

// ImportChannels mocks base method
func (m *Service) ImportChannels(arg0 context.Context, arg1 io.ReadCloser) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ImportChannels", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// ImportChannels indicates an expected call of ImportChannels
func (mr *ServiceMockRecorder) ImportChannels(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ImportChannels", reflect.TypeOf((*Service)(nil).ImportChannels), arg0, arg1)
}

// UpdateChannel mocks base method
func (m *Service) UpdateChannel(arg0 context.Context, arg1 int, arg2 string) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateChannel", arg0, arg1, arg2)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateChannel indicates an expected call of UpdateChannel
func (mr *ServiceMockRecorder) UpdateChannel(arg0, arg1, arg2 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateChannel", reflect.TypeOf((*Service)(nil).UpdateChannel), arg0, arg1, arg2)
}

// UpdateTier mocks base method
func (m *Service) UpdateTier(arg0 context.Context, arg1 int, arg2 tier.Tier) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateTier", arg0, arg1, arg2)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateTier indicates an expected call of UpdateTier
func (mr *ServiceMockRecorder) UpdateTier(arg0, arg1, arg2 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateTier", reflect.TypeOf((*Service)(nil).UpdateTier), arg0, arg1, arg2)
}

// UpdateWeight mocks base method
func (m *Service) UpdateWeight(arg0 context.Context, arg1 int, arg2 weight.Weight) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateWeight", arg0, arg1, arg2)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateWeight indicates an expected call of UpdateWeight
func (mr *ServiceMockRecorder) UpdateWeight(arg0, arg1, arg2 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateWeight", reflect.TypeOf((*Service)(nil).UpdateWeight), arg0, arg1, arg2)
}
